package com.parksong.beans.express;

import lombok.Data;

/**
 * @author LiuJS
 * @Time 2021/7/22 17:12
 * @Desc
 * @Version 1.0
 */
@Data
public class WeiXinReceiptBean {
    private String id;
    private String create_time;
    private String event_type;
    private String resource_type;
    private Resource resource;
    private String summary;

    class Resource{
        private String algorithm;
        private String ciphertext;
        private String original_type;
        private String associated_data;
        private String nonce;

        public Resource() {
        }

        public Resource(String algorithm, String ciphertext, String original_type, String associated_data, String nonce) {
            this.algorithm = algorithm;
            this.ciphertext = ciphertext;
            this.original_type = original_type;
            this.associated_data = associated_data;
            this.nonce = nonce;
        }

        public String getAlgorithm() {
            return algorithm;
        }

        public void setAlgorithm(String algorithm) {
            this.algorithm = algorithm;
        }

        public String getCiphertext() {
            return ciphertext;
        }

        public void setCiphertext(String ciphertext) {
            this.ciphertext = ciphertext;
        }

        public String getOriginal_type() {
            return original_type;
        }

        public void setOriginal_type(String original_type) {
            this.original_type = original_type;
        }

        public String getAssociated_data() {
            return associated_data;
        }

        public void setAssociated_data(String associated_data) {
            this.associated_data = associated_data;
        }

        public String getNonce() {
            return nonce;
        }

        public void setNonce(String nonce) {
            this.nonce = nonce;
        }
    }
}
